/****************************************************************************************/
/****************************************************************************************/
/*                                                                                                                                                                            */
/* Trigger: DTULTATU_PRECOPROPOSTA                                                                                                               */
/* Tabela : PRECOPROPOSTA                                                                                                                                  */
/*                                                                                                                                                                            */
/* Criao:                                                                                                                                                              */
/* 06/10/2008 - Frederico Gonalves Moreira da Costa                                                                                      */
/*                                                                                                                                                                            */
/****************************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_PRECOPROPOSTA
BEFORE INSERT OR UPDATE OR DELETE
ON PRECOPROPOSTA  FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUPREPROP := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF(NVL(:OLD.CDPRECOPROP,0) <> NVL(:NEW.CDPRECOPROP,0)) OR
         (NVL(:OLD.NMPRECOPROP,0) <> NVL(:NEW.NMPRECOPROP,0)) OR
         (NVL(:OLD.DTINIPRECOPROP,SYSDATE) <> NVL(:NEW.DTINIPRECOPROP,SYSDATE)) OR 
         (NVL(:OLD.DTFINPRECOPROP,SYSDATE) <> NVL(:NEW.DTFINPRECOPROP,SYSDATE)) OR
         (NVL(:OLD.VRPRECOUNITSIST,0) <> NVL(:NEW.VRPRECOUNITSIST,0)) OR
         (NVL(:OLD.VRPERCMANUTANO,0) <> NVL(:NEW.VRPERCMANUTANO,0)) OR                  
         (NVL(:OLD.NRMESPRAZOLOCA,0) <> NVL(:NEW.NRMESPRAZOLOCA,0)) THEN
            :NEW.DTULTATUPREPROP := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE,DSKEYCACHE, DTULTATUCACH)
                                      VALUES ('PRECOPROPOSTA', '', 'CDPRECOPROP = '||:OLD.CDPRECOPROP||';', SYSDATE);
   END IF;
END;
/
ALTER TABLE  PRECOPROPOSTA MODIFY DTULTATUPREPROP DEFAULT SYSDATE
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_PRECOPROPOSTA','5.05.011'); END;
/

